<?php
	  $fecha=$_POST['fecha'];
	  $idprovee=$_POST['idprovee'];
	  $idClinica=$_POST['clinica'];
	  $factura=$_POST['factura'];
?>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />

<table width="950" border="0" align="center">
  <tr>
    <td>
	  <form id="form1" name="form1" method="post" action="svcompra.php">
	    <table width="100%" border="0" cellpadding="0" cellspacing="5" bgcolor="#CCCCCC">
          <tr>
            <td width="20%"><span class="style4">Fecha: </span><?php echo "<span class='style9'>".$fecha."</span>";?></span>
                <input name="fecha" type="hidden" id="fecha" value="<?php echo $fecha;?>" size="10" maxlength="10" />
            </td>
            <td width="27%"><span class="style4">Factura: </span><?php echo "<span class='style3'>".$factura."</span>";?>
                <input name="factura" type="hidden" class="cuadrotexto" id="factura" value="<?php echo $factura?>" />
            </td>
            <td width="34%">&nbsp;</td>
            <td width="19%">&nbsp;</td>
          </tr>
          <tr>
            <td colspan="2"><span class="style4">Proveedor: </span>
				<?php
					$cons="select nombre from proveedor WHERE idProveedor = '$idprovee'" ;
					$res=mysql_query($cons,$conex) or die ("No se pudo realizar la consulta de Proveedor");
					$proveedor=mysql_result($res,0,'nombre');
					echo "<span class='style9'>".$proveedor."</span>";
					?></span>
              <input name="idprovee" type="hidden" id="idprovee" value="<?php echo $idprovee;?>" />
            </td>
            <td colspan="2"><span class="style4">Cl&iacute;nica: </span>
              <?php
					$cons2="select clinica from clinicas WHERE idClinica = '$idClinica'" ;
					$res2=mysql_query($cons2,$conex) or die ("No se pudo realizar la consulta de la clinica");
					$clinica=mysql_result($res2,0,'clinica');
					echo "<span class='style9'>".$clinica."</span>";
					?>
              <input name="idClinica" type="hidden" class="cuadrotexto" id="idClinica" value="<?php echo $idClinica?>" />
            </td>
          </tr>
        </table>
	    <p align="center" class="style7">Detalles de la Compra</p>
<?php
$clave=$_POST['clave'];
$total= sizeof($clave);
//echo $total." ";
if ($total == '0')
{
	?>
        <script>
	location.href="main.php?a=41&error=1";
	    </script>
          <?php
}
else
{
	echo "<table align='center' cellpadding='3' class='tablaBordes'>";
	echo "<tr class='tablaCabecera' align='center'>";
	
	echo "<td>";
	echo " ID ";
	echo "</td>";
	
	echo "<td>";
	echo "Nombre";
	echo "</td>";
	
	echo "<td>";
	echo "Unidades<br>por Paquete";
	echo "</td>";
	
	echo "<td>";
	echo "Presentaci&oacute;n";
	echo "</td>";
	
	echo "<td>";
	echo "Cantidad<br>de Paquetes";
	echo "</td>";
	
	echo "<td>";
	echo "Precio Compra<br>Paquete";
	echo "</td>";
	
	echo "</tr>";
	for($x=0; $x < sizeof($clave); $x++)
	{
		$query="SELECT clave,nombre,unidadespaquete,clasificacion,idPresentacion,idPresentacion2 FROM productos Where clave='$clave[$x]'";
		$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
		while($fila = mysql_fetch_row($result))
		{
			echo "<tr class='tablaBordes'>";
			
			echo "<td class='style1'>";
			echo $fila[0];
			echo "</td>";
			
			echo "<td class='style1'>";
			echo $fila[1];
			echo "</td>";
			
			//CONSULTO NOMBRE DE LA PRESENTACION
			if ($fila[3]=='Incontables' or $fila[3]=='Materiales de impresion' or $fila[3]=='Liquidos - polvos')
			{
				echo "<td class='style1' align='center'>";
				echo "No aplica";
				echo "</td>";
			
				if ($fila[5]==0)
				{
					$presen="No asignada";
				}
				else
				{
					$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[5]'";
					$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
					$presen=mysql_result($res2,0,'presentacion');
				}
			}
			else
			{
				echo "<td class='style1' align='center'>";
				echo $fila[2];
				echo "</td>";
			
				$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[4]'";
				$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
				$presen=mysql_result($res2,0,'presentacion');
			}
			//IMPRIMO PRESENTACION
			echo "<td class='style1'>";
			echo $presen;
			echo "</td>";
			
			//CANTIDAD
			echo "<td align='center'>";
			echo "<input type='text' name='cantidad[]' class='cuadrotexto' size='3' maxlength='3' value='0'>";
			
			//AGREGARE EL NUEVO INPUT CON LA CLAVE DEL PRODUCTO Y SE CREARA UN NUEVO ARRAY
			echo "<input type='hidden' name='idprod[]' value='".$fila[0]."'>";
			echo "</td>";
			
			//ARRAY DE PRECIO COMPRA
			echo "<td align='center'>";
			echo "<input type='text' name='precio[]' class='cuadrotexto' size='10' maxlength='10' value='0.00'>";
			echo "</td>";
			
			//ARRAY DE PRECIO VENTA
			//echo "<td class='style4'>";
			//echo "<input type='text' name='precioventa[]' class='cuadrotexto' size='10' maxlength='10' value='0.00'>";
			//echo "</td>";
	
			echo "</tr>";
		}
	}
	echo "</table>";
}
?>
	    <table width="188" border="0" align="center" cellspacing="10">
          <tr>
            <td width="60"><div align="right">
              <input name="Submit2" type="button" class="botonDefault" onclick="javascript:location.href='main.php'" value="Cancelar">
            </div></td>
            <td width="149"><input name="Submit" type="submit" class="botonDefault" value="Guardar compra" /></td>
          </tr>
        </table>
      </form>
    </td>
  </tr>
</table>
